Python (SDK)
from compass_api_sdk import CompassAPI, models
with CompassAPI(
api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:
res = compass_api.aave_v3.aave_avg_rate(chain=models.V1AaveAvgRateChain.ETHEREUM, token="USDC", days=2)
# Handle response
print(res)import { CompassApiSDK } from "@compass-labs/api-sdk";
const compassApiSDK = new CompassApiSDK({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await compassApiSDK.aaveV3.aaveAvgRate({
chain: "ethereum",
token: "USDC",
days: 2,
});
console.log(result);
}
run();curl --request GET \
--url https://api.compasslabs.ai/v1/aave/avg_rate \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.compasslabs.ai/v1/aave/avg_rate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"supply_apy_variable_rate": 0.5,
"supply_apr_variable_rate": 0.5,
"borrow_apy_variable_rate": 0.5,
"borrow_apr_variable_rate": 0.5,
"borrow_apy_fixed_rate": 0.5,
"borrow_apr_fixed_rate": 0.5
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Aave V3
Interest Rates: Time Average
Provides time-weighted averages of deposit and borrow rates for Aave reserves.
GET
/
v1
/
aave
/
avg_rate
Python (SDK)
from compass_api_sdk import CompassAPI, models
with CompassAPI(
api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:
res = compass_api.aave_v3.aave_avg_rate(chain=models.V1AaveAvgRateChain.ETHEREUM, token="USDC", days=2)
# Handle response
print(res)import { CompassApiSDK } from "@compass-labs/api-sdk";
const compassApiSDK = new CompassApiSDK({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await compassApiSDK.aaveV3.aaveAvgRate({
chain: "ethereum",
token: "USDC",
days: 2,
});
console.log(result);
}
run();Query Parameters
Available options:
arbitrum, base, ethereum Optional block number (defaults to latest).
The symbol or address of the token.. A token identifier - either a supported symbol (e.g., USDC, WETH) or a valid Ethereum address (0x...)
Examples:
"USDC"
"WETH"
"0xA0b86a33E6441ccF30EE5DdEF1E9b652C91ac1c8"
The number of days for which the average shall be calculated.
Required range:
1 <= x <= 30Response
Successful Response
Mean of the variable rate APY for deposits.
Required range:
0 <= x <= 1Mean of the variable rate APR for deposits.
Required range:
0 <= x <= 1Mean of the variable rate APY for loans.
Required range:
0 <= x <= 1Mean of the variable rate APR for loans.
Required range:
0 <= x <= 1Mean of the fixed rate APY for loans.
Required range:
0 <= x <= 1Mean of the fixed rate APR for loans.
Required range:
0 <= x <= 1Was this page helpful?